Subject: Re: [PATCH] split_ident: parse timestamp from end of line

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Oct 2013 15:45:42 -0700

Jeff King <[email-masked]> writes:

> Yeah, you are right[1]. I'm happy to re-roll. I wonder if we even need
> to worry about a compatibility wrapper. We are already doing pointer
> manipulations, and it is probably just as readable to roll the loop by
> hand.

Yeah, unrolling the loop is probably better.  You may even be able
to do so in a single pass with an extra "last > seen" pointer
variable without too much additional code complexity, I would think.